class CreateOAuths < ActiveRecord::Migration[6.0]
  def change
    create_table :o_auths do |t|
      t.integer :service
      t.belongs_to :user, null: false, foreign_key: {on_delete: :cascade}
      t.string :access_token
      t.string :refresh_token
      t.datetime :expires_at

      t.timestamps
    end
  end
end
